Wallet Infrastructure
Wallet Infrastructure
Payment Links

List payments

GET
/v1/payments

Requires scope payment_links:read.

Authorization

ApiKey
headerAuthorizationBearer <sk_test_ or sk_live_ key>

Your sk_live_ / sk_test_ API key

Query Parameters

attemptStatus?string

Return only payments having an attempt in this state.

Value in"DEPOSITED""PENDING_APPROVAL""SETTLING""SETTLED""FAILED""APPROVAL_EXPIRED"
reference?unknown

Your own reference.

status?string
Value in"AWAITING_PAYMENT""FULFILLED""EXPIRED""CANCELLED"
cursor?unknown
limit?unknown

1-100, default 25

q?unknown

Search: matches part of your reference, case-insensitively, or a payment id exactly

Response Body

200application/json

Payments

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
401application/json

The Authorization header is missing, malformed, or the API key is unknown or revoked

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean
429application/json

The API key exceeded its request budget for the window

TypeScript Definitions

Use the response body type in TypeScript.

data*
status*number
success*boolean

Language

curl -X GET 'https://api.pilot.shiga.io/v1/payments' \  -H 'Authorization: Bearer sk_test_...'
Example Response
{  "data": {    "items": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",        "reference": "string",        "status": "AWAITING_PAYMENT",        "feeMode": "inclusive",        "expiresAt": "2019-08-24T14:15:22Z",        "watchUntil": "2019-08-24T14:15:22Z",        "fulfilledAt": "2019-08-24T14:15:22Z",        "addresses": [          {            "moduleId": "evm_erc4337",            "chain": "base",            "asset": "USDT",            "expectedAmount": "1",            "destinationAddress": "string"          }        ],        "paidChain": "string",        "attempts": [          {            "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",            "chain": "string",            "status": "DEPOSITED",            "amountReceived": "string"          }        ],        "openUnclaimedCount": 0,        "createdAt": "2019-08-24T14:15:22Z"      }    ],    "pendingApprovalCount": 0,    "nextCursor": "string"  },  "status": 200,  "success": true}